org.apache.fop.fo.properties

## Class BoxCornerPropShorthandParser

- java.lang.Object
- - org.apache.fop.fo.properties.GenericShorthandParser
  - - org.apache.fop.fo.properties.BoxCornerPropShorthandParser

All Implemented Interfaces:
  ShorthandParser

    public class BoxCornerPropShorthandParser
    extends GenericShorthandParser

Shorthand property parser for Box rounded corner properties

### Constructor Summary

Constructors
Constructor and Description
`BoxCornerPropShorthandParser()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Property` `convertValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)` Stores 1 or 2 values of same type representing rounded corner radii.

### Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser

`getElement, getValueForProperty, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BoxCornerPropShorthandParser

    public BoxCornerPropShorthandParser()

Default constructor.

### Method Detail

#### convertValueForProperty

    protected Property convertValueForProperty(int propId,
                                               Property property,
                                               PropertyMaker maker,
                                               PropertyList propertyList)
                                        throws PropertyException

Stores 1 or 2 values of same type representing rounded corner radii. If 2 value are present the first is the corner radius in the IP direction, the second in the BP direction. Converts a property name into a Property

Overrides:
  `convertValueForProperty` in class `GenericShorthandParser`
Parameters:
  `propId` - the property ID in the Constants interface
  `property` - ...
  `maker` - the Property.Maker to be used in the conversion
  `propertyList` - the PropertyList from which the Property should be extracted
Returns:
  the Property matching the parameters, or null if not found
Throws:
  `PropertyException` - (when?)